/* This changes all the animations globally */
@import url('https://fonts.googleapis.com/css2?family=Lato:wght@100;300;400;700&family=Montserrat:wght@100;200;300;400;500;600&family=Open+Sans:ital,wght@0,300;0,400;0,500;0,600;0,700;1,400&family=Oswald:wght@200;300;400;500;600;700&family=Poppins:wght@100;200;300;400;500;600;700&family=Raleway:wght@100;200;300;400;500;600;700&family=Roboto:wght@100;300;400;500;700&family=Smooch+Sans:wght@100;200;300;400;500;600;700;800;900&family=Source+Sans+Pro:wght@200;300;400;600;700&display=swap');
@import "variables";




:root {
  --animate-duration: 2s !important;
  --animate-delay: 500ms !important;
  --animate-repeat: 3 !important;
}
.form-select {
  &:focus {
    border-color: transparent !important;
    box-shadow: 0 0 0 0.15rem rgb(255 152 0 / 32%) !important;
  }
}

.bold{
  font-weight: bold;
}
.card-inplay-perigoso{
  background-color:#e71414cc!important;
    color: $color-white;
}
.text-right {
  text-align: right !important;
}
.text-left {
  text-align: left !important;
}
.text-center {
  text-align: center !important;
}
.min-width {
  width: 48px !important;
}
.d-flex {
  display: flex !important;
}
.d-none {
  display: none !important;
}
.cursor-pointer {
  cursor: pointer;
}
.sizefull {
  width: 100%;
  height: 100%;
}
.w-full {
  width: 100%;
}
.h-full {
  height: 100%;
}
.max-w-full {
  max-width: 100%;
}
.max-h-full {
  max-height: 100%;
}
.min-w-full {
  min-width: 100%;
}
.min-h-full {
  min-height: 100%;
}
input.form-control:focus {
  box-shadow: 0 0 0 0.05rem rgba(13, 110, 253, 0.25);
}


* {
  margin: 0px;
  padding: 0px;
  box-sizing: border-box;
  font-family: $selected-font;
}

body, html {
  height: 100%;
  background-color: $color-grey-lightest !important;
}



/* page-copyright */
.page-copyright {
  margin: 0;
  padding: .25rem 1rem 0;
  clear: left;
  text-align: start;
  font-size: 1rem;
  color: $color-black;
  background-color: $color-grey-lightest;
  position: fixed;
  bottom: 6px;
  width: 100%;
  i {
    font-style: normal;
    color: #F50057;
    font-size: 1rem;
    position: relative;
    top: 2px;
  }
  a {
    color: $color-black;
    text-decoration: none;
    &:hover {
      text-decoration: underline;
    }
  }

  .send-message {
    // display: none;
    a {
      position: fixed;
      right: 12px;
      bottom: 6px;
      img {
        width: 28px;
        height: auto;
        transition: width .25s ease-in-out;
      }
      &:hover {
        img {
          width: 54px;
        }
      }
    }
  }
  .send-message-2 {
    display: none;
    position: fixed;
    right: 0;
    bottom: 0;
    background-color: #74b27440;
    padding: 2px .5rem 2px .5rem;
    border-top-left-radius: 10px;
    transition: background-color .2s ease-in-out;
    a {
      img {
        width: 20px;
        transition: width .3s ease-in-out;
      }
    }
    &:hover {
      background-color: transparent;
      a {
        img {
          width: 40px;
        }
      }
    }
  }
}

.progress-container {
  height: 0.5rem;
  border-radius: 0.4rem;
  background: #00000040;
  position: relative;
}
.progress-container.pc-big {
  width: 45%;
  height: 0.8rem !important;
}

.progress-container .progress {
  height: 100%;
  width: 0;
  border-radius: 0.4rem;
  background: #116c1ca6;
  transition: width 0.4s ease;
}

.fa-ball-sm {
  height: auto;
  position: absolute;
  border-radius: 50%;
  background-color: rgba(255, 255, 255, 0.783);
}
.fa-ball-sm.fa-ball-in {
  width: 14px;
  bottom: -5px;
  z-index: 2;
  border: 1px solid transparent;
}
.fa-ball-sm.fa-ball-out {
  width: 12px;
  bottom: 3px;
  z-index: 1;
  border: 1px solid #62859a;
}

.fa-star-favorite {
  color: #f68c04 !important;
  transition: color ease-in-out 0.25s;
}
.fa-star-favorite:hover {
  color: #e9b97b !important;
}

.selected-odds {
  background-color: red !important;
}

.fa-match-w-bet {
  color: #0418f6 !important;
  transition: color ease-in-out 0.25s;
}
.fa-match-w-bet:hover {
  color: #7bb8e9 !important;
}

.fa-header-custom {
  color: #c6c6c6;
  transition: color ease-in-out 0.25s;
}
.fa-header-custom:hover {
  color: #e9b97b;
}

.fa-following-custom {
  color: #e9b97b;
  transition: color ease-in-out 0.25s;
}
.fa-following-custom:hover {
  color: #c6c6c6;
}


@media only screen and (max-width: 600px) {
  .page-copyright {
    padding-top: 1rem;
  }
}
@media only screen and (max-width: 768px) {
  td {
    white-space: nowrap !important;
  }
  .match-player-home {
    white-space: nowrap;
  }
  .match-player-visitant {
    white-space: nowrap;
  }
}
@media only screen and (max-width: 992px) {
  .page-wrapper {
    flex-direction: column;
    height: 100% !important;
    max-height: auto !important;
    min-height: 100% !important;
  }
  .page-wrapper section.dash-wrapper .area0-wrapper {
    height: 100% !important;
    min-height: auto !important;
    max-height: calc(100% - 39px) !important;
  }
  .page-wrapper section.following-area#following-area-opened {
    width: 100% !important;
    padding-top: 2rem;
    border-left: none;
  }
  .page-wrapper section.following-area#following-area-closed {
    width: 100vw;
  }
  .page-wrapper section.following-area#following-area-closed .following-area-closed-content {
    padding-top: 2rem;
    width: 100vw;
  }
  .page-wrapper section.following-area#following-area-closed .following-area-closed-content i {
    font-size: 3rem;
  }
  .page-wrapper section.following-area .following-matches {
    padding-bottom: 4rem;
  }
  /* page-copyright */
  .page-copyright {
    position: fixed;
    bottom: 0;
    width: 100%;
  }
}
@media only screen and (max-width: 1200px) {}



/*//////////////////////////////////////////////////////////////////
[ RESTYLE TAG ]*/
/*---------------------------------------------*/
a {
  font-size: 14px;
  line-height: 1.7;
  color: #666666;
  margin: 0px;
  transition: all 0.4s;
  -webkit-transition: all 0.4s;
  -o-transition: all 0.4s;
  -moz-transition: all 0.4s;
}

a:focus {
  outline: none !important;
}

a:hover {
  text-decoration: none;
}

/*---------------------------------------------*/
h1, h2, h3, h4, h5, h6 {
  margin: 0px;
}

p {
  font-size: 14px;
  line-height: 1.7;
  color: #666666;
  margin: 0px;
}

ul, li {
  margin: 0px;
  list-style-type: none;
}

/*---------------------------------------------*/
input {
  outline: none;
  border: none;
}

textarea {
  outline: none;
  border: none;
}

textarea:focus, input:focus {
  border-color: transparent !important;
}

input::-webkit-input-placeholder {
  color: $color-black;
}

input:-moz-placeholder {
  color: $color-black;
}

input::-moz-placeholder {
  color: $color-black;
}

input:-ms-input-placeholder {
  color: $color-black;
}

textarea::-webkit-input-placeholder {
  color: $color-black;
}

textarea:-moz-placeholder {
  color: $color-black;
}

textarea::-moz-placeholder {
  color: $color-black;
}

textarea:-ms-input-placeholder {
  color: $color-black;
}

/*---------------------------------------------*/
button {
  outline: none !important;
  border: none;
  background: transparent;
}

button:hover {
  cursor: pointer;
}

iframe {
  border: none !important;
}

/*//////////////////////////////////////////////////////////////////
[ Utility ]*/
.txt1 {
  font-family: $selected-font;
  font-size: 20px;
  line-height: 1.4;
  color: #999999;
}

.txt2 {
  font-family: $selected-font;
  font-size: 16px;
  line-height: 1.4;
  color: $color-black;
}

.txt3 {
  font-family: $selected-font;
  font-size: 16px;
  font-weight: 400;
  line-height: 1.4;
  color: #999999;
}

.hov1:hover {
  color: $color-black;
  text-decoration: underline;
}

/*//////////////////////////////////////////////////////////////////
[ login ]*/
.container-login100 {
  width: 100%;
  min-height: 100vh;
  display: -webkit-box;
  display: -webkit-flex;
  display: -moz-box;
  display: -ms-flexbox;
  display: flex;
  flex-direction: column;
  flex-wrap: wrap;
  justify-content: space-between;
  align-items: center;
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
  position: relative;
  z-index: 1;
  padding: 0;
  background-image: url("./../images/bg-1-flipped.jpeg");
}


.container-login100::before {
  content: "";
  display: block;
  position: absolute;
  z-index: -1;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  background: rgba(248, 184, 13, 0.5);
  background: -webkit-linear-gradient(left, rgba(248, 184, 13, 0), rgba(248, 184, 13, 0.6));
  background: -o-linear-gradient(left, rgba(248, 184, 13, 0), rgba(248, 184, 13, 0.6));
  background: -moz-linear-gradient(left, rgba(248, 184, 13, 0), rgba(248, 184, 13, 0.6));
  background: linear-gradient(left, rgba(248, 184, 13, 0), rgba(248, 184, 13, 0.6));
  pointer-events: none;
}

.wrap-logo {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: flex-end;
  padding: 8vh 60px 0;
  color: $color-black;
  max-height: 20vh;
  height: 20vh;
}

span.logo-title {
  font-weight: 700;
  font-size: 7rem;
  line-height: 0.75;
}

span.logo-subtitle {
  font-size: 2.5rem;
  line-height: 1;
}

.wrap-login100 {
  display: flex;
  justify-content: right;
  padding: 15px 45px 15px;
  max-height: 75vh;
  height: 75vh;
}

.wrap-login {
  width: 390px;
  max-height: 542px;
  padding: 8px 50px;
  display: flex;
  justify-content: center;
  align-items: center;
  background: rgba(255, 255, 255, 0.9);
  border-radius: 10px;
  overflow: hidden;
  overflow-y: auto;
  box-shadow: 0 3px 20px 0px rgba(0, 0, 0, 0.1);
  -moz-box-shadow: 0 3px 20px 0px rgba(0, 0, 0, 0.1);
  -webkit-box-shadow: 0 3px 20px 0px rgba(0, 0, 0, 0.1);
  -o-box-shadow: 0 3px 20px 0px rgba(0, 0, 0, 0.1);
  -ms-box-shadow: 0 3px 20px 0px rgba(0, 0, 0, 0.1);
}

.login100-form {
  width: 100%;
  height: 100%;
  max-height: 460px;
  display: flex;
  flex-direction: column;
  justify-content: space-evenly;
  align-items: center;
}

.login100-form-title {
  display: block;

  font-family: $selected-font;
  font-size: 30px;
  color: $color-black;
  line-height: 1.2;
  text-align: center;
}

.login-info {
  min-height: 76px;
  display: flex;
  flex-direction: column;
}

.wrap-dev-100 {
  background-color: #00000012;
  color: $color-white;
  display: flex;
  justify-content: space-between;
  padding: 2px 45px 2px;
  font-size: 10px;
  text-transform: uppercase;
  color: #ffffff7d;
  max-height: 5vh;
}

.wrap-dev {
  width: 390px;
  display: flex;
  justify-content: space-evenly;
}

/*------------------------------------------------------------------
[ Input ]*/
.wrap-input100 {
  width: 100%;
  position: relative;
  background-color: #fff;
  border-radius: 20px;
}

.input100 {
  font-family: $selected-font;
  font-size: 16px;
  color: $color-black;
  line-height: 1.2;
  border-radius: 20px;
  display: block;
  width: 100%;
  height: 62px;
  background: transparent;
  padding: 0 20px 0 23px;
}

/*------------------------------------------------------------------
[ Focus Input ]*/
.focus-input100 {
  display: block;
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  pointer-events: none;
  border-radius: 20px;
  box-shadow: 0 5px 30px 0px rgba(0, 0, 0, 0.1);
  -moz-box-shadow: 0 5px 30px 0px rgba(0, 0, 0, 0.1);
  -webkit-box-shadow: 0 5px 30px 0px rgba(0, 0, 0, 0.1);
  -o-box-shadow: 0 5px 30px 0px rgba(0, 0, 0, 0.1);
  -ms-box-shadow: 0 5px 30px 0px rgba(0, 0, 0, 0.1);
  -webkit-transition: all 0.4s;
  -o-transition: all 0.4s;
  -moz-transition: all 0.4s;
  transition: all 0.4s;
}

.input100:focus + .focus-input100 {
  box-shadow: 0 5px 30px 0px rgba(0, 0, 0, 0.2);
  -moz-box-shadow: 0 5px 30px 0px rgba(0, 0, 0, 0.2);
  -webkit-box-shadow: 0 5px 30px 0px rgba(0, 0, 0, 0.2);
  -o-box-shadow: 0 5px 30px 0px rgba(0, 0, 0, 0.2);
  -ms-box-shadow: 0 5px 30px 0px rgba(0, 0, 0, 0.2);
}

/*------------------------------------------------------------------
[ Button ]*/
.container-login100-form-btn {
  width: 100%;
  display: -webkit-box;
  display: -webkit-flex;
  display: -moz-box;
  display: -ms-flexbox;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
}

.action-bottom {
  width: 100%;
  display: flex;
  justify-content: space-around;
  align-items: end;
  text-align: center;
  flex-wrap: wrap;
  line-height: 2;
  min-height: 40px;
  padding: 0.25rem 0.5rem 0;
  transition: 1s ease-in-out;
}

.action-bottom a:hover {
  color: #291a0b;
  transform: scale(1.035);
  /* border-bottom: 1px solid lightgray; */
}

.login100-form-btn {
  display: -webkit-box;
  display: -webkit-flex;
  display: -moz-box;
  display: -ms-flexbox;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 0 20px;
  min-width: 160px;
  height: 50px;
  background-color: $color-black;
  border-radius: 25px;
  font-size: 14px;
  color: #fff;
  line-height: 1.2;
  text-transform: uppercase;
  -webkit-transition: all 0.4s;
  -o-transition: all 0.4s;
  -moz-transition: all 0.4s;
  transition: all 0.4s;
  box-shadow: 0 10px 30px 0px rgba(68, 52, 35, 0.5);
  -moz-box-shadow: 0 10px 30px 0px rgba(68, 52, 35, 0.5);
  -webkit-box-shadow: 0 10px 30px 0px rgba(68, 52, 35, 0.5);
  -o-box-shadow: 0 10px 30px 0px rgba(68, 52, 35, 0.5);
  -ms-box-shadow: 0 10px 30px 0px rgba(68, 52, 35, 0.5);
}

.login100-form-btn:hover {
  background-color: #291a0b;
  box-shadow: 0 10px 30px 0px rgba(68, 52, 35, 0.8);
  -moz-box-shadow: 0 10px 30px 0px rgba(68, 52, 35, 0.8);
  -webkit-box-shadow: 0 10px 30px 0px rgba(68, 52, 35, 0.8);
  -o-box-shadow: 0 10px 30px 0px rgba(68, 52, 35, 0.8);
  -ms-box-shadow: 0 10px 30px 0px rgba(68, 52, 35, 0.8);
}

/*------------------------------------------------------------------
[ Alert validate ]*/
.validate-input {
  position: relative;
}

.alert-validate .focus-input100 {
  box-shadow: 0 5px 30px 0px rgba(250, 66, 81, 0.1);
  -moz-box-shadow: 0 5px 30px 0px rgba(250, 66, 81, 0.1);
  -webkit-box-shadow: 0 5px 30px 0px rgba(250, 66, 81, 0.1);
  -o-box-shadow: 0 5px 30px 0px rgba(250, 66, 81, 0.1);
  -ms-box-shadow: 0 5px 30px 0px rgba(250, 66, 81, 0.1);
}

.alert-validate::before {
  content: attr(data-validate);
  display: -webkit-box;
  display: -webkit-flex;
  display: -moz-box;
  display: -ms-flexbox;
  display: flex;
  align-items: center;
  position: absolute;
  width: 100%;
  min-height: 62px;
  background-color: #fff;
  border-radius: 20px;
  top: 0px;
  left: 0px;
  padding: 0 45px 0 22px;
  pointer-events: none;

  font-family: $selected-font;
  font-size: 16px;
  color: #fa4251;
  line-height: 1.2;
}

.alert-wrong {
  font-family: $selected-font;
  color: #fa4251;
}

.btn-hide-validate {
  font-family: Material-Design-Iconic-Font;
  font-size: 15px;
  color: #fa4251;
  cursor: pointer;
  display: -webkit-box;
  display: -webkit-flex;
  display: -moz-box;
  display: -ms-flexbox;
  display: flex;
  align-items: center;
  justify-content: center;
  position: absolute;
  height: 62px;
  top: 0px;
  right: 23px;
}

.rs1-alert-validate.alert-validate::before {
  background-color: #fff;
}

.true-validate::after {
  content: "\f269";
  font-family: Material-Design-Iconic-Font;
  font-size: 15px;
  color: #57b846;
  display: -webkit-box;
  display: -webkit-flex;
  display: -moz-box;
  display: -ms-flexbox;
  display: flex;
  align-items: center;
  justify-content: center;
  position: absolute;
  height: 62px;
  top: 0px;
  right: 23px;
}

/*//////////////////////////////////////////////////////////////////
[ Responsiveness ]*/
@media (max-width: 480px) {
  .wrap-login {
    padding: 12px;
  }

  .action-bottom {
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin-top: 1rem;
  }

  .action-bottom a:first-child {
    margin-bottom: 0.25rem;
  }
}
@media (max-width: 768px) {
  .wrap-dev {
    width: auto;
  }
}
@media (max-width: 1024px) {
  .container-login100 {
    background-image: url("./../images/bg-1-flipped-cut.jpeg");
  }

  .wrap-logo {
    background-color: rgba(255, 255, 255, 0.7);
    justify-content: center;
    align-items: center;
    padding: 30px 12px 12px;
  }

  span.logo-title {
    font-size: 4rem;
  }

  span.logo-subtitle {
    font-size: 2rem;
  }

  .wrap-login100 {
    justify-content: center;
  }
}
.panel-client-wrapper header {
  background-color: $color-grey-light !important;
  height: 76px;
  max-height: 76px;
}
.panel-client-wrapper header a.navbar-brand {
  color: $color-yellow-light;
  letter-spacing: 4px;
  font-weight: 600;
  font-size: 3.25rem;
  padding-left: 2.5rem !important;
}
.panel-client-wrapper .container-fluid {
  margin: 0 auto;
  height: calc(100vh - 76px - 36px);
  min-height: calc(100vh - 76px - 36px);
  max-height: calc(100vh - 76px - 36px);
}
.panel-client-wrapper .page-content {
  height: calc(100% - 200px);
  min-height: calc(100% - 200px);
  max-height: calc(100% - 200px);
}
.panel-client-wrapper .page-content table thead {
  position: sticky;
  top: 0;
}
.panel-client-wrapper .page-content table thead tr {
  background-color: $color-grey-lightest;
}
.panel-client-wrapper .page-content table thead tr th {
  position: sticky;
  top: 0;
}
.panel-client-wrapper .page-content table i.odd-lost {
  color: darkgrey;
}
.panel-client-wrapper .page-content table i.odd-won {
  color: $color-yellow-light;
}
.panel-client-wrapper button {
  font-family: $selected-font !important;
  background-color: $color-grey-light;
  color: $color-yellow-light;
}
.panel-client-wrapper button:hover {
  background-color: #000000;
  color: $color-yellow-light;
}

dialog {
  font-family: $selected-font;
  border: none;
  border-radius: 4px;
  color: $color-black;
  box-shadow: 0 25px 50px -12px rgba(0, 0, 0, 0.25);
  margin: auto;
  padding: 0.5rem;
  font-size: 1.25rem;
}
dialog#modal-forgot-password .dialog-header {
  padding: 1rem 1rem 0.25rem;
}
dialog#modal-forgot-password .dialog-body {
  font-size: 1rem;
  display: flex;
  flex-direction: column;
  padding: 0 1rem 1rem;
  min-width: 280px;
}
dialog#modal-forgot-password .dialog-body input {
  width: 100%;
}
dialog#modal-forgot-password .dialog-body .dialog-actions {
  width: 100%;
  display: flex;
  justify-content: flex-end;
}
dialog#modal-forgot-password .dialog-body .dialog-actions button {
  margin: 0.25rem;
  padding: 0.25rem 1.25rem;
  background-color: #f1ece1;
}
dialog#modal-forgot-password .dialog-body .dialog-actions button:hover {
  border-color: #d6cfc1;
}
dialog#modal-forgot-password .dialog-body .dialog-actions button:nth-child(2) {
  background-color: #ECB71B;
  border-color: $color-white;
  color: $color-black;
}
dialog#modal-forgot-password .dialog-body .dialog-actions button:nth-child(2):hover {
  border-color: #f3b806;
}
dialog#modal-forgot-password .dialog-body menu {
  display: flex;
  align-items: center;
  flex-direction: row;
  vertical-align: middle;
  justify-content: center;
  gap: 12px;
}
dialog#modal-forgot-password .dialog-body output {
  color: #fff;
}
dialog i.cancel {
  cursor: pointer;
  padding: 0 5px;
  float: right;
}
dialog::backdrop {
  background: linear-gradient(45deg, rgba(180, 158, 18, 0.4), rgba(17, 17, 20, 0.8));
}
dialog.hide {
  animation-direction: reverse;
}

dialog[open] {
  animation: scale 0.3s ease normal;
}
dialog[open]::backdrop {
  animation: backdrop 0.3s ease normal;
}

@keyframes scale {
  from {
    transform: scale(0);
  }
  to {
    transform: scale(1);
  }
}
@keyframes backdrop {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}
.mercado-selecionado-under{
  font-size: 19px!important;
  color: blue!important;
  font-weight: bold!important;
}
.mercado-selecionado-over{
  font-size: 19px!important;
  color: red!important;
  font-weight: bold!important;
}
.odds-over{
  background-color: #d52424!important;
  color: white!important;
  font-weight: bold!important;
}
